MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025910Community[OCCT] OCCT:Data Exchangepublic2015-03-11 12:192015-06-15 12:42
Reporterdrazmyslovich 
Assigned Tobugmaster 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version64 bit
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025910: The material with 0-density causes errors during writing STEP files
DescriptionHaving a 0-density material in the model causes the STEP writer to emit NULL reference error due to improper handling of 0-density material: particularly during the creating of material STEP structures in STEPCAFControl_Writer::WriteMaterials the density property definition is created while the empty representation is attached.
TagsNo tags attached.
Test case numberbugs xde(005) bug25910
Attached Files

- Relationships
related to 0026342closedbugmaster Open CASCADE No materials are read from STEP 

-  Notes
(0038246)
git (administrator)
2015-03-11 12:21

Branch CR25910 has been created by drazmyslovich.

SHA-1: a9d93db3ab277f3efd8c4635971743c34590ed65


Detailed log of new commits:

Author: razmyslovich
Date: Wed Mar 11 10:21:14 2015 +0100

    0025910: properly process 0-density material - create STEP density structures if and only if the density is > 0
(0038247)
drazmyslovich (developer)
2015-03-11 12:22

The fix is committed, please, review.
(0038251)
abv (manager)
2015-03-11 13:39

I have tried to reproduce the problem in DRAW, but in my test material is just not written, with no error reported:

pload MODELING OCAF XDE
NewDocument D
box b 10 10 10
XSetMaterial D [XAddShape D b] Vacuum 0.
WriteStep D ${imagedir}/bug25910.stp
(0038263)
abv (manager)
2015-03-11 15:10

The problem can be reproduced in Debug. The proposed fix looks Ok, however I believe we need to check why no error is reported in Release mode (I used vc10 x64, OCCT 6.8.0) and ensure that errors of this kind are properly reported.
(0038274)
git (administrator)
2015-03-11 16:29

Branch CR25910 has been updated by drazmyslovich.

SHA-1: f0953595d9494f8a8adceda78945de98f0692526


Detailed log of new commits:

Author: razmyslovich
Date: Wed Mar 11 14:29:42 2015 +0100

    0025910: properly process 0-density material - create STEP density structures if and only if the density is > 0, but preserve the already mapped structures

(0038275)
drazmyslovich (developer)
2015-03-11 16:30
edited on: 2015-03-11 16:35

I didn't like the fix myself, therefore I've committed another proposal for the fix. Please, review.

(0038401)
gka (developer)
2015-03-16 16:12

Branch CR25910 is ready to be tested.
(0038403)
git (administrator)
2015-03-16 16:59

Branch CR25910 has been updated forcibly by apv.

SHA-1: 3636f69772547620d575834bda60db38edb1b2f6
(0038404)
apv (tester)
2015-03-16 17:00

Branch CR25910 has been rebased on the current master
(0038440)
git (administrator)
2015-03-17 16:25

Branch CR25910 has been updated by apv.

SHA-1: 5bd5c8ab193d83586537d12f2055faf12a0d1f60


Detailed log of new commits:

Author: apv
Date: Tue Mar 17 16:25:01 2015 +0300

    Test-case for issue 0025910

(0038445)
apv (tester)
2015-03-17 17:46
edited on: 2015-03-17 17:47

Dear BugMaster,

Branch CR25910 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 3636f69772547620d575834bda60db38edb1b2f6

Number of compiler warnings:
occt component:
   Linux: 18 (18 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 11 (11 on master)
   Windows: 4 (4 on master)

Regressions/Differences:
http://occt-tests/CR25910-master-occt-64/Windows-64-VC10/summary.html [^]
bugs mesh(016) bug25364 (test-case is unstable)

Testing on Linux:
Total MEMORY difference: 89892265 / 90076200
Total CPU difference: 58285.2400000001 / 58911.169999999984

Testing on Windows:
Total MEMORY difference: 58002982 / 58008153
Total CPU difference: 51117.453125 / 57237.046875

(0041023)
git (administrator)
2015-05-14 16:31

Branch CR25910 has been deleted by inv.

SHA-1: 5bd5c8ab193d83586537d12f2055faf12a0d1f60

- Related Changesets
occt: master 41e259eb
Timestamp: 2015-03-19 12:52:21
Author: drazmyslovich
Committer: bugmaster
Details ] Diff ]
0025910: The material with 0-density causes errors during writing STEP files

- properly process 0-density material - create STEP density structures if and only if the density is > 0
- properly process 0-density material - create STEP density structures if and only if the density is > 0, but preserve the already mapped structures

Test-case for issue 0025910
mod - src/STEPCAFControl/STEPCAFControl_Writer.cxx Diff ] File ]
add - tests/bugs/xde/bug25910 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-03-11 12:19 drazmyslovich New Issue
2015-03-11 12:19 drazmyslovich Assigned To => gka
2015-03-11 12:21 git Note Added: 0038246
2015-03-11 12:22 drazmyslovich Note Added: 0038247
2015-03-11 12:22 drazmyslovich Status new => resolved
2015-03-11 13:39 abv Note Added: 0038251
2015-03-11 13:39 abv Steps to Reproduce Updated View Revisions
2015-03-11 15:10 abv Note Added: 0038263
2015-03-11 16:29 git Note Added: 0038274
2015-03-11 16:30 drazmyslovich Note Added: 0038275
2015-03-11 16:35 drazmyslovich Note Edited: 0038275 View Revisions
2015-03-16 16:12 gka Note Added: 0038401
2015-03-16 16:12 gka Assigned To gka => bugmaster
2015-03-16 16:12 gka Status resolved => reviewed
2015-03-16 16:45 apv Assigned To bugmaster => apv
2015-03-16 16:59 git Note Added: 0038403
2015-03-16 17:00 apv Note Added: 0038404
2015-03-17 16:25 git Note Added: 0038440
2015-03-17 16:26 apv Test case number => bugs xde(005) bug25910
2015-03-17 17:46 apv Note Added: 0038445
2015-03-17 17:46 apv Assigned To apv => bugmaster
2015-03-17 17:46 apv Status reviewed => tested
2015-03-17 17:47 apv Note Edited: 0038445 View Revisions
2015-03-17 17:47 apv Note Edited: 0038445 View Revisions
2015-03-20 13:34 bugmaster Changeset attached => occt master 41e259eb
2015-03-20 13:34 bugmaster Status tested => verified
2015-03-20 13:34 bugmaster Resolution open => fixed
2015-05-14 15:28 user533 Status verified => closed
2015-05-14 15:31 user533 Fixed in Version => 6.9.0
2015-05-14 16:31 git Note Added: 0041023
2015-06-15 12:42 abv Relationship added related to 0026342


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker